/*
 * Class COLLECTION [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_258 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_258 [] = {0xFF01,237,257,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_258 [] = {0xFF01,257,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_258 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_258 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_258 [] = {0xFF01,257,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_258 [] = {0xFF01,257,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_258 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_258 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_258 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_258 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_258 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_258 [] = {257,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_258 [] = {0xFF01,257,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_258 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_258 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_258[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_258), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_258), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_258), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_258), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_258), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_258), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_258), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_258), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_258), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_258), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_258), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_258), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_258), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_258), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_258), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_258), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1921, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1922, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
};
void Init258(void)
{
	IDSC(desc_258, 0, 257);
	IDSC(desc_258 + 1, 1, 257);
	IDSC(desc_258 + 32, 77, 257);
	IDSC(desc_258 + 41, 282, 257);
}


#ifdef __cplusplus
}
#endif
